(* range : int -> int -> int list *)
let rec range m n = if m >= n then []
                              else m::range (m+1) n
(* sum : int list -> int *)
let sum  xs = Lst.foldr ( + ) 0 xs
(* prod : int list -> int *)
let prod xs = Lst.foldr ( * ) 1 xs
(* mean_arith *)
(* mean_geom *)
(* gsum *)
(* euler *)
(* leibniz *)

(* E13 *)
(* auxiliary functions *)
(* range_tl : int -> int -> int list *)
let range_tl m n =
 let rec range acc m n =
  if m >= n then acc else range ((n-1)::acc) m (n-1)
 in
 range [] m n
(*  *)
