type 'a t = Empty | Node of ('a t * 'a * 'a t)
val size : 'a t -> int
val height : 'a t -> int
val of_list : 'a list -> 'a t
val make : 'a Lst.t -> 'a t
val insert : ('a -> 'a -> int) -> 'a -> 'a t -> 'a t
val search_tree : ('a -> 'a -> int) -> 'a Lst.t -> 'a t
val flatten : 'a t -> 'a list
val toplevel_printer : Format.formatter -> int t -> unit
